import java.util.*;
/**
 * Clase que representa a un alumno
 */
public class Alumno implements Comparable<Alumno>
{
    // atributos privados
    private String nombre;
    private String dni;

    /**
     * Constructor for objects of class Alumno
     */
    public Alumno(String nombre, String dni)
    {
        this.nombre=nombre;
        this.dni=dni;
    }

    /**
     * Convierte el alumno a texto
     */
    @Override
    public String toString()
    {
        return "Nombre: "+nombre+"; dni: "+dni;
    }
    
    /**
     * Nombre
     */
    public String nombre() {
        return nombre;
    }
    
    /**
     * Igualdad
     */
    @Override
    public boolean equals(Object a) {
        if (a instanceof Alumno) {
            return this.dni.equals(((Alumno)a).dni);
        } else {
            return false;
        }
    }    
    
    /**
     * Comparacion
     */
    public int compareTo(Alumno a) {
        return this.dni.compareTo(a.dni);
    }
    
    /**
     * Troceado
     */
    @Override
    public int hashCode() {
        return this.dni.hashCode();
    }
}
