
/**
 * Clase que representa una ayuda solicitada por un alumno
 */
public class Ayuda
{
    // atributos privados
    private Alumno alu;
    private int ayuda; // euros

    /**
     * Constructor al que se le pasa el alumno y la ayuda
     */
    public Ayuda(Alumno alu, int ayudaSolicitada)
    {
        this.alu=alu;
        this.ayuda=ayudaSolicitada;
    }

    /**
     * Convierte la ayuda a texto
     */
    @Override
    public String toString()
    {
        return alu+" ayuda solicitada: "+ayuda;
    }
    
    /**
     * Retorna la ayuda solicitada
     */
    public int ayudaSolicitada() {
        return ayuda;   
    }
    
    /**
     * Igualdad
     */
    @Override
    public boolean equals(Object a) {
        if (a instanceof Ayuda) {
            return this.alu.equals(((Ayuda)a).alu);
        } else {
            return false;
        }
    }    
    
    /**
     * Troceado
     */
    @Override
    public int hashCode() {
        return this.alu.hashCode();
    }
}
