import java.util.*;

/**
 * Clase que representa una lista de solicitudes de ayuda
 */
public class ListaAyudas2
{

    private List<Ayuda> lista;
    private Set<Ayuda> conj;

    /**
     * Constructor for objects of class Equipo
     */
    public ListaAyudas2()
    {
        this.lista=new ArrayList<Ayuda>();
        this.conj=new HashSet<Ayuda>();
    }
    
    /**
     *  Insertar una ayuda. 
     *  Lanza una excepción si ya pertenece
     */
    public void inserta(Ayuda a) throws Repetido
    {
        if (!conj.contains(a)) {
            // anade la ayuda al final
            lista.add(a);
            conj.add(a);
        } else {
            throw new Repetido(a.toString());   
        }
    }
    
    /**
     * Averiguar la ayuda solicitada por un alumno
     */
    public int ayudaSolicitada(Alumno a) throws NoExiste
    {
        // creamos una ayuda ficticia para buscar
        Ayuda ayuda=new Ayuda(a,0); 
        int indice=lista.indexOf(ayuda);
        if (indice!=-1) {
            // el alumno ha sido encontrado
            return lista.get(indice).ayudaSolicitada();
        } else {
            throw new NoExiste();   
        }
        
    }

    
    /**
     * Muestra en pantalla la lista de solicitudes
     */
    public void muestra() {
        System.out.println("-----------------------------");
        System.out.println("Solicitudes: ");
        for(Ayuda a: lista) {
            System.out.println("   "+a);
        }
        System.out.println(".............................");
    }

}
