import java.util.*;

/**
 * Clase que representa una lista de solicitudes de ayuda
 */
public class ListaAyudas3
{

    private LinkedHashSet<Ayuda> lista;

    /**
     * Constructor for objects of class Equipo
     */
    public ListaAyudas3()
    {
        this.lista=new LinkedHashSet<Ayuda>();
    }
    
    /**
     *  Insertar una ayuda. 
     *  Lanza una excepción si ya pertenece
     */
    public void inserta(Ayuda a) throws Repetido
    {
        if (!lista.contains(a)) {
            // anade la ayuda al final
            lista.add(a);
        } else {
            throw new Repetido(a.toString());   
        }
    }
    
    /**
     * Averiguar la ayuda solicitada por un alumno
     */
    public int ayudaSolicitada(Alumno a) throws NoExiste
    {
        // creamos una ayuda ficticia para buscar
        Ayuda ay=new Ayuda(a,0); 
        for (Ayuda ayuda : lista) {
            if (ayuda.equals(ay)) {
                return ayuda.ayudaSolicitada();   
            }
        }
        throw new NoExiste();
    }

    
    /**
     * Muestra en pantalla la lista de solicitudes
     */
    public void muestra() {
        System.out.println("-----------------------------");
        System.out.println("Solicitudes: ");
        for(Ayuda a: lista) {
            System.out.println("   "+a);
        }
        System.out.println(".............................");
    }

}
