import fundamentos.*;

/**
 * Gestiona una lista de solicitudes de ayuda
 */

public class Solicitudes {

    public static Ayuda leeAyuda() {
        Lectura l= new Lectura("Datos de la ayuda");
        l.creaEntrada("Nombre","");
        l.creaEntrada("DNI","");
        l.creaEntrada("Ayuda",0);
        l.esperaYCierra();
        String nombre=l.leeString("Nombre");
        String dni=l.leeString("DNI");
        int ayuda=l.leeInt("Ayuda");
      
        Ayuda a = new Ayuda(new Alumno(nombre,dni),ayuda);
        return a;
    }

    public static String leeDNI() {
        Lectura l= new Lectura("Datos de la ayuda");
        l.creaEntrada("DNI","");
        l.esperaYCierra();
        String dni=l.leeString("DNI");
        return dni;
    }
  
    public static void muestraAyuda(int ayuda) {
        Escritura e= new Escritura("Ayuda Solicitada");
        e.insertaValor("Ayuda",ayuda);
        e.espera();
    }

    public static void main(String[] args) {


        final int INSERTAR=1,
            CONSULTAR=2,
            LISTAR=3,
            SALIR=4;

        ListaAyudas3 lista=new ListaAyudas3();
        Menu menu = new Menu("Opciones");
        int opcion;

        menu.insertaOpcion("Insertar",INSERTAR);
        menu.insertaOpcion("Consultar alumno",CONSULTAR);
        menu.insertaOpcion("Listar las solicitudes",LISTAR);
        menu.insertaOpcion("Salir",SALIR);
        while (true) {
            opcion=menu.leeOpcion("Introduce opcion deseada");

            switch (opcion) {
            case INSERTAR:
                Ayuda ayuda=leeAyuda(); 
                try {
                    lista.inserta(ayuda);
                } catch (Repetido e) {
                    Mensaje mensaje = new Mensaje();
                    mensaje.escribe("Error "+e);
                }
                break;
            case CONSULTAR:
                String dni=leeDNI();
                Alumno alu=new Alumno("",dni);
                try {
                    int ayudaSolicitada = lista.ayudaSolicitada(alu);
                    muestraAyuda(ayudaSolicitada);
                } catch (NoExiste e) {
                    Mensaje mensaje = new Mensaje();
                    mensaje.escribe("Error "+e);
                }
                break;
            case LISTAR:
                lista.muestra();
                break;
            case SALIR :
                System.exit(0);
            default :
                Mensaje mensaje = new Mensaje();
                mensaje.escribe("opcion incorrecta");
            }
        }
    }
}
